{layout '../@layoutOwner.latte'}

{block content}

<div class="row clearfix">
	<div class="col-sm-12">
		<div class="card">
			<div class="body">
				<a n:href="Item:create" class="btn bg-black waves-effect waves-light">Přidat položku menu</a>
			</div>
		</div>
	</div>
</div>

<div class="row clearfix">
	{*List all food items*}
	<div class="col-lg-7 col-md-7 col-sm-7 col-xs-7">
		{foreach $foodCategories as $category}
			<div class="card">
				<div class="header">
					<h2>{$category}</h2>
				</div>
				<div class="body table-responsive">
					<table class="table table-striped">
						<thead>
						<tr>
							<th>#</th>
							<th>Název</th>
							<th>Cena</th>
							<th>Množství</th>
							<th>Složení</th>
							<th>Porce</th>
							<th></th>
						</tr>
						</thead>
						<tbody>
						{php $count = 1}
						{foreach $foods as $food}
							{if $food->getItem()->getCategory() == $category}
								<tr>
									<th scope="row">{$count++}</th>
									<td>{$food->getItem()->getName()}</td>
									<td>{$food->getItem()->getPrice()} Kč</td>
									<td>{$food->getGrams()} g</td>
									<td>{$food->getIngredients()}</td>
									<td>{$food->getSize()}</td>
									<td class="align-right">
										<a n:href="Item:editFood $food->getId()" class="btn bg-black waves-effect waves-light">
											<i class="material-icons">edit</i>
										</a>
										<a n:href="removeFood! $food->getId()" class="btn bg-black waves-effect waves-light">
											<i class="material-icons">remove</i>
										</a>
									</td>
								</tr>
							{/if}
						{/foreach}
						</tbody>
					</table>
				</div>
			</div>
		{/foreach}
	</div>

	{*List all beverage items*}
	<div class="col-lg-5 col-md-5 col-sm-5 col-xs-5">
		{foreach $beverageCategories as $category}
		<div class="card">
			<div class="header">
				<h2>{$category}</h2>
			</div>
			<div class="body table-responsive">
				<table class="table table-striped">
					<thead>
					<tr>
						<th>#</th>
						<th>Název</th>
						<th>Cena</th>
						<th>Množství</th>
						<th>Obsah alkoholu</th>
						<th></th>
					</tr>
					</thead>
					<tbody>
						{php $count = 1}
						{foreach $beverages as $beverage}
							{if $beverage->getItem()->getCategory() == $category}
							<tr>
								<th scope="row">{$count++}</th>
								<td>{$beverage->getItem()->getName()}</td>
								<td>{$beverage->getItem()->getPrice()} Kč</td>
								<td>{$beverage->getVolume()} l</td>
								<td>{$beverage->getAlcoholPercentage()} %</td>
								<td class="align-right">
									<a n:href="Item:editBeverage $beverage->getId()" class="btn bg-black waves-effect waves-light">
										<i class="material-icons">edit</i>
									</a>
									<a n:href="removeBeverage! $beverage->getId()" class="btn bg-black waves-effect waves-light">
										<i class="material-icons">remove</i>
									</a>
								</td>
							</tr>
							{/if}
						{/foreach}
					</tbody>
				</table>
			</div>
		</div>
		{/foreach}
	</div>
</div>